<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Auth;

use Illuminate\Http\Request;
class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = RouteServiceProvider::HOME;


    protected function authenticated(Request $request, $user)
    {
        if($user->status != 1){
            $this->guard()->logout();

            $request->session()->invalidate();

            $request->session()->regenerateToken();
            return redirect('login');
        }
        if(Auth::user())
        {
        if(Auth::user()->hasRole("superadmin"))
        {
            return redirect("superadmin/home");
        }
        else if(Auth::user()->hasRole("admin"))
        {
            return redirect("admin/home");
        }
        elseif(Auth::user()->hasRole("mla")){
            return redirect("mla/home");
        }
        elseif(Auth::user()->hasRole("booth")){
            return redirect("booth/home");
        }
        elseif(Auth::user()->hasRole("user")){
            return redirect("user/home");
        }
    }
    }
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }
}
