<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Caste;
use App\Models\User;
use App\Models\UserDetail;
use Auth;
use Str;

class CasteController extends Controller
{
   /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if($request->paginate){
            $paginate = $request->paginate;
        }else{
            $paginate = 10;
        }
        if($request->sort_f){
            $sort_f  = $request->sort_f ;
        }else{
            $sort_f  = 'id';
        }
        if($request->sort_by){
            $sort_by   = $request->sort_by  ;
        }else{
            $sort_by  = 'DESC';
        }
    
        $caste = Caste::orderBy($sort_f,$sort_by);
        $search = $request->search;
             if($search){
           $caste = $caste->where('caste_name','LIKE', '%'.$search.'%');
             }
             $caste = $caste->where('status',1)->paginate($paginate)->onEachSide(0);
       
       
       
       
       /*  Not Approved caste */
        if($request->paginate_1){
            $paginate_1 = $request->paginate_1;
        }else{
            $paginate_1 = 10;
        }
        if($request->sort_f_1){
            $sort_f_1  = $request->sort_f_1 ;
        }else{
            $sort_f_1  = 'id';
        }
        if($request->sort_by_1){
            $sort_by_1   = $request->sort_by_1;
        }else{
            $sort_by_1  = 'DESC';
        }
    
        $caste_1 = Caste::orderBy($sort_f_1,$sort_by_1);
        $search_1 = $request->search_1;
             if($search_1){
           $caste_1 = $caste_1->where('caste_name','LIKE', '%'.$search_1.'%');
             }
             $caste_1 = $caste_1->where('status',3)->paginate($paginate_1)->onEachSide(0);
        return view('admin.caste.index',compact('caste','paginate','search','sort_f','sort_by','caste_1','paginate_1','search_1','sort_f_1','sort_by_1'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.caste.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [

            'caste_name' => 'required',
           
            
        ]);
        $caste=new Caste;
        $caste->caste_name=Str::upper($request->caste_name);
        $caste->creator_id=Auth::user()->id;
        $caste->status='1';
        $caste->unique_id=uniqid();
        $caste->save();

         session()->flash('success_msg', 'New Caste has been created successfully');
         return redirect()->route('acaste.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $id=Caste::where('unique_id',$id)->value('id');
        $row=Caste::find($id);
        return view('admin.caste.edit',compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            
         
            'caste_name' => 'required',
          
        ]);
        $caste=Category::find($id);
        $caste->caste_name=Str::upper($request->caste_name);
        $caste->caste_id=Auth::user()->id;
        $caste->save();

         session()->flash('success_msg', 'Caste has been updated successfully');
         return redirect()->route('acaste.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $caste_id=Caste::where('unique_id',$id)->value('id'); 
        $caste=Caste::find($caste_id);
        $caste->status="2";
        $caste->save();
        
        session()->flash('success_msg', 'Caste has been deleted successfully');
        return back();
    }
    
    
     public function verifie($id){
         $caste_id=Caste::where('unique_id',$id)->value('id'); 
        $caste=Caste::findorfail($caste_id);
        $caste->status="1";
        $caste->save();
        
        session()->flash('success_msg', 'Caste has been verified successfully');
        return back();
    }
}
