<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\TblUpload;
use App\Models\User;
use App\Models\VidhanSabha;
use App\Models\Caste;
use Auth,Hash,DB,Schema,Str;
class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index(Request $request  )
    {
        if($request->vidhansabha_id){
            $vid = $request->vidhansabha_id;
        }else{
            $vid = VidhanSabha::where('vidhansabha_title','Sangaria')->value('vidhansabha_id');
        }
        $caste = Caste::where('status', 1)->orderBy('caste_name')->get();
        $vidhansabha = VidhanSabha::all();
        return view('admin.index', compact('vidhansabha','caste','vid'));
    }
    public function user_login(Request $request){
        if($request->paginate){
            $paginate = $request->paginate;
        }else{
            $paginate = 10;
        }
        if($request->sort_f){
            $sort_f  = $request->sort_f ;
        }else{
            $sort_f  = 'id';
        }
        if($request->sort_by){
            $sort_by   = $request->sort_by  ;
        }else{
            $sort_by  = 'DESC';
        }
    
        $user = User::orderBy($sort_f,$sort_by);
        $search = $request->search;
             if($search){
           $user = $user->where('name','LIKE', '%'.$search.'%');
             }
             $user = $user->where('status',1)->whereHas('roles', function($q){
                $q->where('name','!=', 'superadmin')->where('name','!=', 'admin');
            })->paginate($paginate)->onEachSide(0);
        return view('admin.user_login',compact('user','paginate','search','sort_f','sort_by'));
    }
    public function adminprofile(){
        return view('admin.profile');
    }
    
    public function mlaupdateprofile(Request $request){
        $this->validate($request, [
           'name' => 'required|max:100',
       ]);
       $id=Auth::user()->id;
       $user=User::find($id);
       $user->name=$request->name;
       $user->mobile_no=$request->mobile_no;
       $user->email=$request->email;
       if ($request->hasFile('profile_image')) {
                $image = $request->file('profile_image');
                $filename = time().'-'.$image->getClientOriginalName();
                $destinationPath = public_path('uploads/profile_image');
                $image->move($destinationPath, $filename);
                $user->profile_image = "uploads/profile_image/" . $filename;
		}
       $user->save();
    
         session()->flash('success_msg', 'Updated Successfully ');
       return redirect('admin/adminprofile');
    }

    public function adminpassword(){
        return view('admin.passwordchange');
    }
    
    public function adminupdatepassword(Request $request){
    $input=$request->all();
      $this->validate($request, [
          'oldpassword'=>'required',
          'password'=>'required|min:6|',
      ]);
      $user=Auth::user();
      $oldpassword=$user->password;
      if(Hash::check($request->oldpassword,$oldpassword)){
          $user->fill([
              'password'=>bcrypt($request->password)
          ])->save();
          session()->flash('success_msg','Password has been Updated');
          return back();
      }
      else{
          session()->flash('danger_msg','Please Enter correct Old Password');
          return back();
      }
    }

    public function detail()
    {
        return view('detail');
    }

    public function productsubcat($id){
       $subcat=Productsub::where('status',1)->where('category_id',$id)->pluck('subcategory_name','id')->toArray();
       return $subcat;
    }


    public function fmaily_wise(Request $request){
      if($request->paginate){
            $paginate = $request->paginate;
        }else{
            $paginate = 10;
        }
        if($request->sort_f){
            $sort_f  = $request->sort_f ;
        }else{
            $sort_f  = 'c_house_no';
        }
        if($request->sort_by){
            $sort_by   = $request->sort_by  ;
        }else{
            $sort_by  = 'DESC';
        }
        
        if($request->vidhansabha_id){
            $vid = $request->vidhansabha_id;
        }else{
            $vid = Auth::user()->vidhansahba_id;
        }
           $search = $request->search;  
           $ward_id = $request->ward;
         $vidhansabhaname = VidhanSabha::where('vidhansabha_id',$vid)->value('vidhansabha_title');
         if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
        $ward = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',$vid)->groupBy('part_no')->get('part_no');
        $house = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',$vid)->where('c_house_no', '!=', null)->select('c_house_no', DB::raw('count(*) as total'))->groupBy('c_house_no');
     
        if($search){
           $house = $house->where('c_house_no','like','%'.$search.'%'); 
        }
        if($ward_id){
           $house = $house->where('part_no',$ward_id); 
        }
        $house = $house->orderBy($sort_f,$sort_by)->paginate($paginate)->onEachSide(0);
        $hasTable = 1;
        }else{
            $house = array();
            $ward_id = 0;
            $ward = array();
            $hasTable = 0;
        }
        $vidhansabha = VidhanSabha::all();
        return view('admin.fmaily_wise', compact('house','sort_by','sort_f','paginate','vid','vidhansabha','ward','ward_id','search','hasTable'));
    }
    
    
    
         public function age_wise(Request $request){
        if($request->paginate){
            $paginate = $request->paginate;
        }else{
            $paginate = 10;
        }
        if($request->sort_f){
            $sort_f  = $request->sort_f ;
        }else{
            $sort_f  = 'age';
        }
        if($request->sort_by){
            $sort_by   = $request->sort_by  ;
        }else{
            $sort_by  = 'asc';
        }
        
        if($request->vidhansabha_id){
            $vid = $request->vidhansabha_id;
        }else{
            $vid = Auth::user()->vidhansahba_id;
        }
           $search = $request->search;
           $ward_id = $request->ward;
         $vidhansabhaname = VidhanSabha::where('vidhansabha_id',$vid)->value('vidhansabha_title');
         if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
        $ward = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',$vid)->groupBy('part_no')->get('part_no');
        $age = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',$vid)->where('age', '!=', null)->select('age', DB::raw('count(*) as total'))->groupBy('age');
     
        if($search){
           $age = $age->where('age',$search); 
        }
        if($ward_id){
           $age = $age->where('part_no',$ward_id); 
        }
        $age = $age->orderBy($sort_f,$sort_by)->paginate($paginate)->onEachSide(0);
        $hasTable = 1;
        }else{
            $age = array();
            $ward = array();
            $hasTable = 0;
        }
        $vidhansabha = VidhanSabha::all();
        return view('admin.age_wise', compact('age','sort_by','sort_f','paginate','vid','vidhansabha','ward','ward_id','search','hasTable'));
    }
    
      public function caste_wise(Request $request){
        if($request->paginate){
            $paginate = $request->paginate;
        }else{
            $paginate = 10;
        }
        if($request->sort_f){
            $sort_f  = $request->sort_f ;
        }else{
            $sort_f  = 'caste_id';
        }
        if($request->sort_by){
            $sort_by   = $request->sort_by  ;
        }else{
            $sort_by  = 'asc';
        }
        
        if($request->vidhansabha_id){
            $vid = $request->vidhansabha_id;
        }else{
            $vid = Auth::user()->vidhansahba_id;
        }
        
           $search = $request->search;
           $ward_id = $request->ward;
           $caste_id = $request->caste;
         $vidhansabhaname = VidhanSabha::where('vidhansabha_id',$vid)->value('vidhansabha_title');
         if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
        $ward = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',$vid)->groupBy('part_no')->get('part_no');
        $caste = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',$vid)->where('caste_id', '!=', null)->select('caste_id', DB::raw('count(*) as total'))->groupBy('caste_id');
     
        // if($search){
        //   $caste = $caste->where('caste_id',$search); 
        // }
        if($ward_id){
           $caste = $caste->where('part_no',$ward_id); 
        }
        if($caste_id){
           $caste = $caste->where('caste_id',$caste_id); 
        }
        $caste = $caste->orderBy($sort_f,$sort_by)->paginate($paginate)->onEachSide(0);
        $hasTable = 1;
        }else{
            $caste = array();
            $ward = array();
            $hasTable = 0;
        }
        $vidhansabha = VidhanSabha::all();
        return view('admin.caste_wise', compact('caste','sort_by','sort_f','paginate','vid','vidhansabha','ward','ward_id','search','hasTable','caste_id'));
    }
}
