<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\TblUpload;
use App\Models\VidhanSabha;
use App\Models\Profession;
use App\Models\Caste;
use App\Models\Religion;
use App\Models\Party;
use App\Models\Scheme;
use DB,Auth,Str,Schema;

class TblUploadController extends Controller
{ /**
    * Display a listing of the resource.
    *
    * @return \Illuminate\Http\Response
    */
 public function index(Request $request) {
    if ($request->paginate) {
        $paginate = $request->paginate;
    } else {
        $paginate = 10;
    }

    if ($request->sort_f) {
        $sort_f = $request->sort_f;
    } else {
        $sort_f = 'slnoinpart'; // Set the default sorting field to 'slnoinpart'
    }

    if ($request->sort_by) {
        $sort_by = $request->sort_by;
    } else {
        $sort_by = 'ASC'; // Set the default sorting order to 'ASC' (ascending)
    }

    $vidhansabhaId = $request->vidhansabhaId;

    if ($vidhansabhaId) {
        $vid1 = $vidhansabhaId;
    } else {
        $vid1 = Auth::user()->vidhansahba_id;
    }

    $vidhansabha = VidhanSabha::all();
    $search = $request->search;
    $ward_id = $request->ward;
    $vidhansabhaname = VidhanSabha::where('vidhansabha_id', $vid1)->value('vidhansabha_title');

if (Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))) {
    $lists = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))
        ->orderByRaw('CAST(slnoinpart AS UNSIGNED) ASC') // Cast slnoinpart as UNSIGNED for numeric sorting
        ->orderBy($sort_f, $sort_by);

        $ward = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))
            ->where('ac_no', $vid1)
            ->groupBy('part_no')
            ->get('part_no');

        if ($search) {
            $lists = $lists->where(DB::raw("CONCAT(slnoinpart,' ',age,' ',fm_name_en,' ',rln_fm_nm_en,' ',section_no,' ',c_house_no, ' ',epic_no)"), 'LIKE', '%' . $search . '%');
        }

        if ($request->ward) {
            $lists = $lists->where('part_no', $ward_id);
        }

        $hasTable = 1;
        $lists = $lists->paginate($paginate)->onEachSide(0);
    } else {
        $hasTable = 0;
        $lists = [];
        $ward = [];
    }

    return view('admin.voterList.index', compact('lists', 'paginate', 'search', 'sort_f', 'sort_by', 'vidhansabha', 'vid1', 'hasTable', 'ward_id', 'ward'));
}

   /**
    * Show the form for creating a new resource.
    *
    * @return \Illuminate\Http\Response
    */
   public function create()
   {
       //
   }

   /**
    * Store a newly created resource in storage.
    *
    * @param  \Illuminate\Http\Request  $request
    * @return \Illuminate\Http\Response
    */
   public function store(Request $request)
   {
       //
   }

   /**
    * Display the specified resource.
    *
    * @param  \App\Models\TblUpload  $tblUpload
    * @return \Illuminate\Http\Response
    */
   public function show(TblUpload $tblUpload)
   {
       //
   }

   /**
    * Show the form for editing the specified resource.
    *
    * @param  \App\Models\TblUpload  $tblUpload
    * @return \Illuminate\Http\Response
    */
    public function edit($id)
    {
         $eid = decrypt($id);
           $vidhansabhaname = VidhanSabha::where('vidhansabha_id',$eid[1])->value('vidhansabha_title');
          if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
        $row =  DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('id',$eid[0])->first();
          }else{
              return back()->with('success', 'something went wrong. please try again later.');
          }
    $profession = Profession::orderBy('profession','ASC')->where('status',1)->get();
        $caste = Caste::orderBy('caste_name','ASC')->where('status',1)->get();
         $religion = Religion::orderBy('religion','ASC')->where('status',1)->get();
        $party = Party::orderBy('party_name','ASC')->where('status',1)->get();
        $scheme = Scheme::orderBy('scheme_name','ASC')->where('status',1)->get();
        return view('admin.voterList.edit', compact('row','profession','caste','eid','party','religion','scheme'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    { 
          $eid = decrypt($id);
         $vidhansabhaname = VidhanSabha::where('vidhansabha_id',$eid[1])->value('vidhansabha_title');
          if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
              if($request->benefit == 'yes'){
                  $sechemId = json_encode($request->scheme);
                  $description = json_encode($request->description);
                  $year = json_encode($request->year);
              }else{
                $sechemId = null;  
                $description = null;  
                $year = null;  
              }
        $row =  DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('id',$eid[0])->update([
             'age' => $request->age,
            'profession' => $request->profession,
            'profession_type' => $request->profession_type,
            'caste_id' => $request->caste,
            'favar' => $request->favar,
            'pincode' => $request->pincode,
            'dob' => $request->dob,
            'party' => $request->party,
            'c_house_no' => $request->house_no,
            'gotra' => $request->gotra,
            'mobile_no' => $request->mobile,
            'religion' => $request->religion,
            'scheme_id' => $sechemId,
            'scheme_description' => $description,
            'scheme_year' => $year,
            'scheme_type' => $request->benefit,
            ]);
          }else{
              return back()->with('success', 'something went wrong. please try again later.');
          }
        return back()->with('success', 'Voter list has been updated successfully!');
    }

   /**
    * Remove the specified resource from storage.
    *
    * @param  \App\Models\TblUpload  $tblUpload
    * @return \Illuminate\Http\Response
    */
   public function destroy(TblUpload $tblUpload)
   {
       //
   }
}
