<?php

namespace App\Http\Controllers\booth;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Boothaddress;
use Auth;
use Str;

class BoothaddressController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if($request->paginate){
            $paginate = $request->paginate;
        }else{
            $paginate = 10;
        }
        if($request->sort_f){
            $sort_f  = $request->sort_f ;
        }else{
            $sort_f  = 'id';
        }
        if($request->sort_by){
            $sort_by   = $request->sort_by  ;
        }else{
            $sort_by  = 'DESC';
        }
    
        $boothaddress = Boothaddress::orderBy($sort_f,$sort_by);
        $search = $request->search;
             if($search){
           $boothaddress = $boothaddress->where('caste_name','LIKE', '%'.$search.'%');
             }
             $boothaddress = $boothaddress->where('status',1)->paginate($paginate);
       
        return view('booth.boothaddress.index',compact('boothaddress','paginate','search','sort_f','sort_by'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('booth.boothaddress.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [

            'slno' => 'required',
           
            
        ]);
        $boothaddress=new Boothaddress;
        $boothaddress->address=$request->address;
        $boothaddress->slno=$request->slno;
        $boothaddress->status='1';
        $boothaddress->unique_id=uniqid();
        $boothaddress->save();

         session()->flash('success_msg', 'New Boothaddress has been created successfully');
         return redirect()->route('boothaddress.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $id=Boothaddress::where('unique_id',$id)->value('id');
        $row=Boothaddress::find($id);
        return view('booth.boothaddress.edit',compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            
         
            'slno' => 'required',
          
        ]);
        $boothaddress=Boothaddress::find($id);
        $boothaddress->address=$request->address;
        $boothaddress->slno=$request->slno;
        $boothaddress->save();

         session()->flash('success_msg', 'Boothaddress has been updated successfully');
         return redirect()->route('boothaddress.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $boothaddress_id=Boothaddress::where('unique_id',$id)->value('id'); 
        $boothaddress=Boothaddress::find($boothaddress_id);
        $boothaddress->status="2";
        $boothaddress->save();
        
        session()->flash('success_msg', 'Boothaddress has been deleted successfully');
        return back();
    }
}
