<?php

namespace App\Http\Controllers\booth;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\TblUpload;
use App\Models\Caste; 
use App\Helpers\CommonClass;
use App\Models\VidhanSabha;
use App\Exports\VoterListExport;
use DB;
use Auth,Str;
use Hash,Schema;
use Excel;
class HomeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $caste = Caste::where('status', 1)->orderBy('caste_name')->get();
        return view('booth.index',compact('caste'));
    }


    public function profile(){
        return view('booth.profile');
    }
    
    public function updateprofile(Request $request){
        $this->validate($request, [
           'name' => 'required',
           'mobile_no' => 'required',
         
    
       ]);
       $id=Auth::user()->id;
       $user=User::find($id);
       $user->name=$request->name;
       $user->mobile_no=$request->mobile_no;
       $user->email=$request->email;
       $user->save();
    
         session()->flash('success_msg', 'Updated Successfully ');
       return redirect('booth/profile');
    }

    public function password(){
        return view('booth.passwordchange');
    }
    
    public function updatepassword(Request $request){
    $input=$request->all();
      $this->validate($request, [
          'oldpassword'=>'required',
          'password'=>'required|min:6',
      ]);
      $user=Auth::user();
      $oldpassword=$user->password;
      if(Hash::check($request->oldpassword,$oldpassword)){
          $user->fill([
              'password'=>bcrypt($request->password)
          ])->save();
          session()->flash('success_msg','Password has been Updated');
          return back();
      }
      else{
          session()->flash('danger_msg','Please Enter correct Old Password');
          return back();
      }
    }




     public function fmaily_wise(Request $request){
         if($request->paginate){
            $paginate = $request->paginate;
        }else{
            $paginate = 10;
        }
        if($request->sort_f){
            $sort_f  = $request->sort_f ;
        }else{
            $sort_f  = 'c_house_no';
        }
        if($request->sort_by){
            $sort_by   = $request->sort_by  ;
        }else{
            $sort_by  = 'DESC';
        }
        
       
            $ward_id = $request->ward;
            $search = $request->search;
        $vidhansabhaname = VidhanSabha::where('vidhansabha_id',Auth::user()->vidhansahba_id)->value('vidhansabha_title');
          if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
        $ward = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',Auth::user()->vidhansahba_id)->groupBy('part_no')->get('part_no');
        $house = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',Auth::user()->vidhansahba_id)->where('part_no',Auth::user()->booth)->where('c_house_no', '!=', null)->select('c_house_no', DB::raw('count(*) as total'))->groupBy('c_house_no');
        
         if($ward_id){
            $house = $house->where('part_no',$ward_id); 
        }
        if($search){
           $house = $house->where('c_house_no','like','%'.$search.'%'); 
        }
        $house = $house->orderBy($sort_f,$sort_by)->paginate($paginate)->onEachSide(0);
        $hasTable = 1;
          }else{
              $ward = array();
              $house = array();
              $hasTable = 0;
          }
        $vidhansabha = VidhanSabha::all();
        return view('booth.fmaily_wise', compact('house','sort_by','sort_f','paginate','vidhansabha','ward','ward_id','search','hasTable'));
    }
     public function caste_wise(Request $request){
         if($request->paginate){
            $paginate = $request->paginate;
        }else{
            $paginate = 10;
        }
        if($request->sort_f){
            $sort_f  = $request->sort_f ;
        }else{
            $sort_f  = 'caste_id';
        }
        if($request->sort_by){
            $sort_by   = $request->sort_by  ;
        }else{
            $sort_by  = 'DESC';
        }
        
       
            $ward_id = $request->ward;
            $search = $request->search;
        $vidhansabhaname = VidhanSabha::where('vidhansabha_id',Auth::user()->vidhansahba_id)->value('vidhansabha_title');
          if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
        $ward = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',Auth::user()->vidhansahba_id)->groupBy('part_no')->get('part_no');
        $caste = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',Auth::user()->vidhansahba_id)->where('part_no',Auth::user()->booth)->where('caste_id', '!=', null)->select('caste_id', DB::raw('count(*) as total'))->groupBy('caste_id');
        
         if($ward_id){
            $caste = $caste->where('part_no',$ward_id); 
        }
        if($search){
           $caste = $caste->where('caste_id','like','%'.$search.'%'); 
        }
        $caste = $caste->orderBy($sort_f,$sort_by)->paginate($paginate)->onEachSide(0);
        $hasTable = 1;
          }else{
              $ward = array();
              $caste = array();
              $hasTable = 0;
          }
        $vidhansabha = VidhanSabha::all();
        return view('booth.caste_wise', compact('caste','sort_by','sort_f','paginate','vidhansabha','ward','ward_id','search','hasTable'));
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
    
    
    
      public function export(Request $request){
        if($request->paginate){
            $paginate = $request->paginate;
        }else{
            $paginate = 10;
        }
        if($request->sort_f){
            $sort_f  = $request->sort_f ;
        }else{
            $sort_f  = 'id';
        }
        if($request->sort_by){
            $sort_by   = $request->sort_by  ;
        }else{
            $sort_by  = 'DESC';
        }
        $vidhansabhaId = $request->vidhansabhaId;
        if($vidhansabhaId){
            $vid1 = $vidhansabhaId;
        }else{
            $vid1 = Auth::user()->vidhansahba_id;
        }
        
        if(Auth::user()->vidhansabhaids != null){
            $vvId = json_decode(Auth::user()->vidhansabhaids);
        }else{
            $vvId = [];
        }
        array_push($vvId,Auth::user()->vidhansahba_id);
          $vidhansabha = VidhanSabha::whereIn('vidhansabha_id',$vvId)->get();
        $search = $request->search;
            $ward_id = $request->ward;
          $vidhansabhaname = VidhanSabha::where('vidhansabha_id',$vid1)->value('vidhansabha_title');
          if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
        $lists = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->orderBy($sort_f,$sort_by);
        $ward = DB::table(Str::lower($vidhansabhaname))->where('ac_no',$vid1)->groupBy('part_no')->get('part_no');
             if($search){
           $lists = $lists->where('fm_name_en','LIKE', '%'.$search.'%')->orwhere('fm_name_v1','LIKE', '%'.$search.'%')->orwhere('mobile_no','LIKE', '%'.$search.'%')->orwhere('epic_no','LIKE', '%'.$search.'%');
             }
             $hasTable = 1;
             if($request->ward){
             $lists = $lists->where('part_no',$ward_id);
        }
             $lists = $lists->paginate($paginate)->onEachSide(0);
          }else{
              $hasTable = 0;
             $lists = array(); 
             $ward = array(); 
          }
        return view('booth.export',compact('lists','paginate','search','sort_f','sort_by','vidhansabha','vid1','hasTable','ward_id','ward'));
            }
            
            
            
            
        //     public function exportVoter(Request $request) {
        //         // dd($request->all());
                
        //   ini_set('memory_limit', '6400M');
        //   ini_set('max_execution_time', '300');

        //         $request->validate([
        //             'vidhansabhaId'=>'required'
        //             ]);
        //       $vidhansabhaId = $request->vidhansabhaId;
        // if($vidhansabhaId){
        //     $vid1 = $vidhansabhaId;
        // }else{
        //     $vid1 = Auth::user()->vidhansahba_id;
        // }
        
        
        //     $matchingData = DB::table('voterlist_updates')->where('part_no',$request->wardId)->join($tablename, 'voterlist_updates.voter_id', '=', $tablename.'.id')
    //     ->where('voterlist_updates.mla_id',Auth::user()->create_by)->leftJoin('castes', 'voterlist_updates.caste_id', '=', 'castes.id')->get();
        
    //     $nonMatchingData = DB::table($tablename)->leftJoin('voterlist_updates', $tablename.'.id', '=', 'voterlist_updates.voter_id')->leftJoin('castes', $tablename.'.caste_id', '=', 'castes.id') ->get();
    //      $data = $matchingData->concat($nonMatchingData);
    // dd($data);
        
        //  $vidhansabhaname = VidhanSabha::where('vidhansabha_id',$vid1)->value('vidhansabha_title');
        //   if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
        //       $tablename = Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname));
        // $matchingData = DB::table('voterlist_updates');
        //  if($request->wardId){
        //      $matchingData = $matchingData->where('part_no',$request->wardId);
        // }
    //   $matchingData =  $matchingData->join($tablename, 'voterlist_updates.voter_id', '=', $tablename.'.id')
    //     ->where('voterlist_updates.mla_id',Auth::user()->create_by)
    //     ->select($tablename.'.part_no',$tablename.'.fm_name_en',$tablename.'.rln_fm_nm_en','castes.caste_name','voterlist_updates.house_no','voterlist_updates.age','voterlist_updates.dob','voterlist_updates.religion','voterlist_updates.mobile_no')->leftJoin('castes', 'voterlist_updates.caste_id', '=', 'castes.id') // Add other columns you need
    //     ->get();
    //   $matchingData =  $matchingData->join($tablename, 'voterlist_updates.voter_id', '=', $tablename.'.id')
    //     ->where('voterlist_updates.mla_id',Auth::user()->create_by)->leftJoin('castes', 'voterlist_updates.caste_id', '=', 'castes.id') // Add other columns you need
    //     ->get();
    // $nonMatchingData = DB::table($tablename)->get();
    
    // dd($nonMatchingData);
    // $voterlist = array();
    // foreach($nonMatchingData as $listvoter){
    //      $matchingData = DB::table('voterlist_updates')->where('voter_id',$listvoter->id)->where('mla_id',Auth::user()->create_by)->where('vidhansabha_id',Auth::user()->vidhansahba_id)->first();
    //      if($matchingData){
    //       $listvoter->caste_id = $matchingData->caste_id;  
    //       $listvoter->profession_type = $matchingData->profession_type;  
    //       $listvoter->profession = $matchingData->profession;  
    //       $listvoter->party = $matchingData->party;  
    //       $listvoter->pincode = $matchingData->pincode;  
    //       $listvoter->c_house_no = $matchingData->house_no;  
    //       $listvoter->age = $matchingData->age;  
    //       $listvoter->dob = $matchingData->dob;  
    //       $listvoter->religion = $matchingData->religion;  
    //       $listvoter->gotra = $matchingData->gotra;  
    //       $listvoter->mobile_no = $matchingData->mobile_no;  
    //       $listvoter->scheme_type = $matchingData->scheme_type;  
    //       $listvoter->scheme_year = $matchingData->scheme_year;  
    //       $listvoter->scheme_description = $matchingData->scheme_description;  
    //       $listvoter->scheme_id = $matchingData->scheme_id;  
    //      }
    //      $voterlist[] = $listvoter;
    // }
    // dd($voterlist);
    //  if($request->wardId){
    //          $nonMatchingData = $nonMatchingData->where('ward_no',$request->wardId);
    //     }
    //   $nonMatchingData = $nonMatchingData->leftJoin('voterlist_updates', $tablename.'.id', '=', 'voterlist_updates.voter_id')
    //     ->select($tablename.'.part_no',$tablename.'.fm_name_en',$tablename.'.rln_fm_nm_en', 'castes.caste_name',$tablename.'.c_house_no',$tablename.'.age',$tablename.'.dob',$tablename.'.religion',$tablename.'.mobile_no')->leftJoin('castes', $tablename.'.caste_id', '=', 'castes.id') 
    //     ->get();
    //   $nonMatchingData = $nonMatchingData->leftJoin('voterlist_updates', $tablename.'.id', '=', 'voterlist_updates.voter_id')->leftJoin('castes', $tablename.'.caste_id', '=', 'castes.id') 
    //     ->get();

    // $data = $matchingData->concat($nonMatchingData);
    // dd($data);
    //     //   dd(count($data));
    // return Excel::download(new VoterListExport($data->take(200000)), 'voter.csv');
    //       }else{
    //  return back()->with('success', 'something went wrong. please try again later.');
    //       }
        
        ///////////////////////////////////////////////
        
    //      $vidhansabhaname = VidhanSabha::where('vidhansabha_id',$vid1)->value('vidhansabha_title');
    //       if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
    //           $tablename = Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname));
    // $usersQuery = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)));
    //   if($request->wardId){
    //          $usersQuery = $usersQuery->where('part_no',$request->wardId);
    //     }
    //   $usersQuery = $usersQuery->join('sangaria', 'voterlist_updates.voter_id', '=', 'sangaria.id')
    //     ->where('voterlist_updates.mla_id',Auth::user()->create_by)->select('ward_no','fm_name_en', 'rln_fm_nm_en','castes.caste_name','voterlist_updates.profession_type','voterlist_updates.profession','voterlist_updates.party','voterlist_updates.pincode','voterlist_updates.house_no','voterlist_updates.age','voterlist_updates.dob','voterlist_updates.religion','voterlist_updates.gotra','voterlist_updates.mobile_no')
    //   ->leftJoin('voterlist_updates', $tablename.'.id', '=', 'voterlist_updates.voter_id')->where('voterlist_updates.mla_id', Auth::user()->create_by)->leftJoin('castes', 'voterlist_updates.caste_id', '=', 'castes.id')->get();
    // dd($usersQuery);
    //   ini_set('memory_limit', '6400M');
    // return Excel::download(new VoterListExport($usersQuery), 'voter.xlsx');
    //           }else{
    //  return back()->with('success', 'something went wrong. please try again later.');
    //       }
        //   }
            
            
   
       }
