<?php

namespace App\Http\Controllers\mla;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\TblUpload;
use App\Models\User;
use App\Models\VidhanSabha;
use Auth,Schema,Str,DB;
class BoothController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
     public function index(Request $request)
    {
        if($request->paginate){
            $paginate = $request->paginate;
        }else{
            $paginate = 10;
        }
        if($request->sort_f){
            $sort_f  = $request->sort_f ;
        }else{
            $sort_f  = 'id';
        }
        if($request->sort_by){
            $sort_by   = $request->sort_by  ;
        }else{
            $sort_by  = 'DESC';
        }

        $search = $request->search;
        $booth = User::where('status',1)->orderBy($sort_f,$sort_by)->whereHas('roles', function($q){
            $q->where('name', 'booth');
        });
        if($search){
            $booth = $mla->where('name','LIKE','%'.$search.'%')->whereHas('roles', function($q){
                $q->whereNotIn('name', ['superadmin','admin','mla','user']);
            });
        }
       $booth =  $booth->paginate($paginate)->onEachSide(0);
       
        return view('mla.booth.index', compact('booth','paginate','search','sort_f','sort_by'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $vidhansabhaname = VidhanSabha::where('vidhansabha_id',Auth::user()->vidhansahba_id)->value('vidhansabha_title');
          if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
        $booth = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',Auth::user()->vidhansahba_id)->groupBy('part_no')->get('part_no');
          }else{
              $booth = array();
          }
        return view('mla.booth.create', compact('booth'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // dd($request->all());
        $this->validate($request, [
            'name' => 'required',
            'email' => 'required',
            'mobile_no' => 'required',
            'booth' => 'required',
            'password' => 'required|min:6',
            
        ]);

        $user =new User;
        $user->name = $request->name;
        $user->email = $request->email;
        $user->role = 'booth';
         $user->create_by = Auth::user()->id;
        $user->booth = $request->booth;
        $user->vidhansahba_id = Auth::user()->vidhansahba_id;
        $user->mobile_no=$request->mobile_no;
        if($request->vidahsabha){
        $user->vidhansabhaids=json_encode($request->vidahsabha);
        }
        $user->unique_id = uniqid();
        $user->password = bcrypt($request->password);
        $user->assignRole('booth');  
        $user->save();  

        session()->flash('success','Booth has been created successfully');
        return redirect()->route('mbooth.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
         $vidhansabhaname = VidhanSabha::where('vidhansabha_id',Auth::user()->vidhansahba_id)->value('vidhansabha_title');
          if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
        $booth = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',Auth::user()->vidhansahba_id)->groupBy('part_no')->get('part_no');
          }else{
              $booth = array();
          }
        $row = User::where('unique_id',$id)->first();
        return view('mla.booth.edit', compact('booth','row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'name' => 'required',
            'email' => 'required',
            'mobile_no' => 'required',
            'booth' => 'required',
            
        ]);

        $user =User::findorfail($id);
        $user->name = $request->name;
        $user->email = $request->email;
        $user->booth = $request->booth;
        $user->mobile_no=$request->mobile_no;
        if($request->vidahsabha){
        $user->vidhansabhaids=json_encode($request->vidahsabha);
        }
        $user->save();  

        session()->flash('success','Booth has been updated successfully');
        return redirect()->route('mbooth.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
