<?php

namespace App\Http\Controllers\mla;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Event;
use App\Models\VidhanSabha;
use Auth,Hash,DB,Schema,Str;

class EventController extends Controller
{
   /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if($request->paginate){
            $paginate = $request->paginate;
        }else{
            $paginate = 10;
        }
        if($request->sort_f){
            $sort_f  = $request->sort_f ;
        }else{
            $sort_f  = 'id';
        }
        if($request->sort_by){
            $sort_by   = $request->sort_by  ;
        }else{
            $sort_by  = 'DESC';
        }
    
        $event = Event::orderBy($sort_f,$sort_by)->where('creator_id',Auth::user()->id);
        $search = $request->search;
             if($search){
           $event = $event->where('event_name','LIKE', '%'.$search.'%');
             }
             $event = $event->where('status',1)->paginate($paginate)->onEachSide(0);
        return view('mla.event.index',compact('event','paginate','search','sort_f','sort_by'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    { 
        $vidhansabhaname = VidhanSabha::where('vidhansabha_id',Auth::user()->vidhansahba_id)->value('vidhansabha_title');
          if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
        $booth = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',Auth::user()->vidhansahba_id)->groupBy('part_no')->get('part_no');
          }else{
              $booth = array();
          }
        return view('mla.event.create',compact('booth'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // dd($request->all());
        $this->validate($request, [

            'event_name' => 'required',
            'date_of_event' => 'required',
            'limit' => 'required',
            
        ]);
        $event=new Event;
        $event->booth= json_encode($request->booth);
        $event->event_name=$request->event_name;
        $event->vidhansabha_id=$request->vidhansabha;
        $event->date_of_event=$request->date_of_event;
        $event->limit=$request->limit;
        $event->address=$request->address;
        $event->description=$request->description;
        $event->creator_id=Auth::user()->id;
        $event->status='1';
        $event->unique_id=uniqid();
    
        $event->save();

         session()->flash('success_msg', 'New Event has been created successfully');
         return redirect()->route('mevent.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $vidhansabhaname = VidhanSabha::where('vidhansabha_id',Auth::user()->vidhansahba_id)->value('vidhansabha_title');
          if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
        $booth = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',Auth::user()->vidhansahba_id)->groupBy('part_no')->get('part_no');
          }else{
              $booth = array();
          }
        $id=Event::where('unique_id',$id)->value('id');
        $row=Event::find($id);
        return view('mla.event.edit',compact('row','booth'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            
            'event_name' => 'required',
            'date_of_event' => 'required',
            'limit' => 'required',
          
        ]);
        $event=Event::find($id);
        $event->booth= json_encode($request->booth);
        $event->event_name=$request->event_name;
        $event->vidhansabha_id=$request->vidhansabha;
        $event->date_of_event=$request->date_of_event;
        $event->limit=$request->limit;
        $event->address=$request->address;
        $event->description=$request->description;
        $event->save();

         session()->flash('success_msg', 'Event has been updated successfully');
         return redirect()->route('mevent.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $event_id=Event::where('unique_id',$id)->value('id'); 
        $event=Event::find($event_id);
        $event->status="2";
        $event->save();
        
        session()->flash('success_msg', 'Event has been deleted successfully');
        return back();
    }
}