<?php

namespace App\Http\Controllers\mla;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\TblUpload;
use App\Models\Caste;
use App\Models\VidhanSabha;
use Auth,Hash,DB,Schema,Str;

class HomeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $caste = Caste::where('status', 1)->orderBy('caste_name')->get();
        return view('mla.index',compact('caste'));
    }

    public function user_login(Request $request){
        if($request->paginate){
            $paginate = $request->paginate;
        }else{
            $paginate = 10;
        }
        if($request->sort_f){
            $sort_f  = $request->sort_f ;
        }else{
            $sort_f  = 'id';
        }
        if($request->sort_by){
            $sort_by   = $request->sort_by  ;
        }else{
            $sort_by  = 'DESC';
        }
    
        $user = User::orderBy($sort_f,$sort_by);
        $search = $request->search;
             if($search){
           $user = $user->where('name','LIKE', '%'.$search.'%');
             }
             $user = $user->where('status',1)->where('create_by',Auth::user()->id)->whereHas('roles', function($q){
                $q->where('name', 'booth');
            })->paginate($paginate)->onEachSide(0);
        return view('mla.user_login',compact('user','paginate','search','sort_f','sort_by'));
    }
    public function mlaprofile(){
        return view('mla.profile');
    }
    
    public function mlaupdateprofile(Request $request){
        $this->validate($request, [
           'name' => 'required',
         
    
       ]);
       $id=Auth::user()->id;
       $user=User::find($id);
       $user->name=$request->name;
       $user->mobile_no=$request->mobile_no;
       $user->email=$request->email;
       if ($request->hasFile('profile_image')) {
                $image = $request->file('profile_image');
                $filename = time().'-'.$image->getClientOriginalName();
                $destinationPath = public_path('uploads/profile_image');
                $image->move($destinationPath, $filename);
                $user->profile_image = "uploads/profile_image/" . $filename;
		}
       $user->save();
    
         session()->flash('success_msg', 'Updated Successfully ');
       return redirect('mla/mlaprofile');
    }

    public function mlapassword(){
        return view('mla.passwordchange');
    }
    
    public function mlaupdatepassword(Request $request){
    $input=$request->all();
      $this->validate($request, [
          'oldpassword'=>'required',
          'password'=>'required|min:6|',
      ]);
      $user=Auth::user();
      $oldpassword=$user->password;
      if(Hash::check($request->oldpassword,$oldpassword)){
          $user->fill([
              'password'=>bcrypt($request->password)
          ])->save();
          session()->flash('success_msg','Password has been Updated');
          return back();
      }
      else{
          session()->flash('danger_msg','Please Enter correct Old Password');
          return back();
      }
    }
    
     public function fmaily_wise(Request $request){
        if($request->paginate){
            $paginate = $request->paginate;
        }else{
            $paginate = 10;
        }
        if($request->sort_f){
            $sort_f  = $request->sort_f ;
        }else{
            $sort_f  = 'c_house_no';
        }
        if($request->sort_by){
            $sort_by   = $request->sort_by  ;
        }else{
            $sort_by  = 'DESC';
        }
        
       
            $ward_id = $request->ward;
            $search = $request->search;
        $vidhansabhaname = VidhanSabha::where('vidhansabha_id',Auth::user()->vidhansahba_id)->value('vidhansabha_title');
          if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
        $ward = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',Auth::user()->vidhansahba_id)->groupBy('part_no')->get('part_no');
        $house = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',Auth::user()->vidhansahba_id)->where('c_house_no', '!=', null)->select('c_house_no', DB::raw('count(*) as total'))->groupBy('c_house_no');
        
         if($ward_id){
            $house = $house->where('part_no',$ward_id); 
        }
        if($search){
           $house = $house->where('c_house_no','like','%'.$search.'%'); 
        }
        $house = $house->orderBy($sort_f,$sort_by)->paginate($paginate)->onEachSide(0);
        $hasTable = 1;
          }else{
              $ward = array();
              $house = array();
              $hasTable = 0;
          }
        $vidhansabha = VidhanSabha::all();
        return view('mla.fmaily_wise', compact('house','sort_by','sort_f','paginate','vidhansabha','ward','ward_id','search','hasTable'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
    
    
    
    
     public function age_wise(Request $request){
        if($request->paginate){
            $paginate = $request->paginate;
        }else{
            $paginate = 10;
        }
        if($request->sort_f){
            $sort_f  = $request->sort_f ;
        }else{
            $sort_f  = 'age';
        }
        if($request->sort_by){
            $sort_by   = $request->sort_by  ;
        }else{
            $sort_by  = 'asc';
        }
        
       
            $ward_id = $request->ward;
            $search = $request->search;
        $vidhansabhaname = VidhanSabha::where('vidhansabha_id',Auth::user()->vidhansahba_id)->value('vidhansabha_title');
          if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
        $ward = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',Auth::user()->vidhansahba_id)->groupBy('part_no')->get('part_no');
        $age = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',Auth::user()->vidhansahba_id)->where('age', '!=', null)->select('age', DB::raw('count(*) as total'))->groupBy('age');
        
         if($ward_id){
            $age = $age->where('part_no',$ward_id); 
        }
        if($search){
           $age = $age->where('age',$search); 
        }
        $age = $age->orderBy($sort_f,$sort_by)->paginate($paginate);
        $hasTable = 1;
          }else{
              $ward = array();
              $age = array();
              $hasTable = 0;
          }
        $vidhansabha = VidhanSabha::all();
        return view('mla.age_wise', compact('age','sort_by','sort_f','paginate','vidhansabha','ward','ward_id','search','hasTable'));
    }
    public function caste_wise(Request $request){
        if($request->paginate){
            $paginate = $request->paginate;
        }else{
            $paginate = 10;
        }
        if($request->sort_f){
            $sort_f  = $request->sort_f ;
        }else{
            $sort_f  = 'caste_id';
        }
        if($request->sort_by){
            $sort_by   = $request->sort_by  ;
        }else{
            $sort_by  = 'asc';
        }
        
        if($request->vidhansabha_id){
            $vid = $request->vidhansabha_id;
        }else{
            $vid = Auth::user()->vidhansahba_id;
        }
        
           $search = $request->search;
           $ward_id = $request->ward;
           $caste_id = $request->caste;
         $vidhansabhaname = VidhanSabha::where('vidhansabha_id',$vid)->value('vidhansabha_title');
         if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
        $ward = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',$vid)->groupBy('part_no')->get('part_no');
        $caste = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',$vid)->where('caste_id', '!=', null)->select('caste_id', DB::raw('count(*) as total'))->groupBy('caste_id');
     
        // if($search){
        //   $caste = $caste->where('caste_id',$search); 
        // }
        if($ward_id){
           $caste = $caste->where('part_no',$ward_id); 
        }
        if($caste_id){
           $caste = $caste->where('caste_id',$caste_id); 
        }
        $caste = $caste->orderBy($sort_f,$sort_by)->paginate($paginate)->onEachSide(0);
        $hasTable = 1;
        }else{
            $caste = array();
            $ward = array();
            $hasTable = 0;
        }
        $vidhansabha = VidhanSabha::all();
        return view('mla.caste_wise', compact('caste','sort_by','sort_f','paginate','vid','vidhansabha','ward','ward_id','search','hasTable','caste_id'));
    }
}
