<?php

namespace App\Http\Controllers\mla;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\TblUpload;
use App\Models\Profession;
use App\Models\Caste;
use App\Models\VidhanSabha;
use App\Models\Religion;
use App\Models\Party;
use App\Models\Scheme;
use App\Models\VoterlistUpdate;
use DB,Auth,Str,Schema;
class TblUploadController extends Controller
{ /**
    * Display a listing of the resource.
    *
    * @return \Illuminate\Http\Response
    */
    public function index(Request $request){
        if($request->paginate){
            $paginate = $request->paginate;
        }else{
            $paginate = 10;
        }
        if($request->sort_f){
            $sort_f  = $request->sort_f ;
        }else{
            $sort_f  = 'id';
        }
        if($request->sort_by){
            $sort_by   = $request->sort_by  ;
        }else{
            $sort_by  = 'DESC';
        }
    $search = $request->search;
    $ward_id = $request->ward;
        $vidhansabhaname = VidhanSabha::where('vidhansabha_id',Auth::user()->vidhansahba_id)->value('vidhansabha_title');
         if (Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))) {
    $lists = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))
        ->orderByRaw('CAST(slnoinpart AS UNSIGNED) ASC') // Cast slnoinpart as UNSIGNED for numeric sorting
        ->orderBy($sort_f, $sort_by);

    // ... (rest of your code)

        $ward = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('ac_no',Auth::user()->vidhansahba_id)->groupBy('part_no')->get('part_no');
             if($search){
           $lists = $lists->where(DB::raw("CONCAT(slnoinpart,' ',age,' ',fm_name_en,' ',rln_fm_nm_en,' ',section_no,' ',c_house_no, ' ',epic_no)"), 'LIKE', '%' . $search . '%');
             }
               if($request->ward){
             $lists = $lists->where('part_no',$ward_id);
        }
             $hasTable = 1;
             $lists = $lists->paginate($paginate)->onEachSide(0);
          }else{
              $hasTable = 0;
             $lists = array(); 
             $ward = array(); 
          }
          
        return view('mla.voterList.index',compact('lists','paginate','search','sort_f','sort_by','hasTable','ward','ward_id'));
            }

   /**
    * Show the form for creating a new resource.
    *
    * @return \Illuminate\Http\Response
    */
   public function create()
   {
       //
   }

   /**
    * Store a newly created resource in storage.
    *
    * @param  \Illuminate\Http\Request  $request
    * @return \Illuminate\Http\Response
    */
   public function store(Request $request)
   {
       //
   }

   /**
    * Display the specified resource.
    *
    * @param  \App\Models\TblUpload  $tblUpload
    * @return \Illuminate\Http\Response
    */
   public function show(TblUpload $tblUpload)
   {
       //
   }

   /**
    * Show the form for editing the specified resource.
    *
    * @param  \App\Models\TblUpload  $tblUpload
    * @return \Illuminate\Http\Response
    */
    public function edit($id)
    {
        $vidhansabhaname = VidhanSabha::where('vidhansabha_id',Auth::user()->vidhansahba_id)->value('vidhansabha_title');
          if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
        $row =  DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('id', decrypt($id))->first();
          }else{
              return back()->with('success', 'something went wrong. please try again later.');
          }
        $profession = Profession::orderBy('profession','ASC')->where('status',1)->get();
        $caste = Caste::orderBy('caste_name','ASC')->where('status',1)->get();
        $religion = Religion::orderBy('religion','ASC')->where('status',1)->get();
        $party = Party::orderBy('party_name','ASC')->where('status',1)->get();
        $scheme = Scheme::orderBy('scheme_name','ASC')->where('status',1)->get();
        return view('mla.voterList.edit', compact('row','profession','caste','party','religion','scheme'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
      
         $vidhansabhaname = VidhanSabha::where('vidhansabha_id',Auth::user()->vidhansahba_id)->value('vidhansabha_title');
        //   if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
        //       if($request->caste == 'other'){
        //     $caste = Caste::where('caste_name',$request->other_caste)->first();
        //     if($caste){
        //       if($caste->status == 2){
        //           $caste->status = 3;
        //           $caste->save();
        //       }
        //       $caste_id = $caste->id;
        //     }else{
        //     $newCaste = new caste;
        //     $newCaste->caste_name = $request->other_caste;
        //     $newCaste->status = 3;
        //     $newCaste->creator_id = Auth::user()->id;
        //     $newCaste->unique_id = uniqid();
        //     $newCaste->save();
        //     $caste_id = $newCaste->id;
        // }
        // } else{
        //     $caste_id = $request->caste;
        // }
        // $row =  DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))->where('id', decrypt($id))->update([
        //     'age' => $request->age,
        //     'profession' => $request->profession,
        //     'profession_type' => $request->profession_type,
        //     'caste_id' => $caste_id,
        //     'favar' => $request->favar,
        //     'pincode' => $request->pincode,
        //     'dob' => $request->dob,
        //     'party' => $request->party,
        //     'c_house_no' => $request->house_no,
        //     'gotra' => $request->gotra,
        //     'mobile_no' => $request->mobile,
        //     'religion' => $request->religion,
        //     ]);
        //   }else{
        //       return back()->with('success', 'something went wrong. please try again later.');
        //   }
        if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
              if($request->benefit == 'yes'){
                  $sechemId = json_encode($request->scheme);
                  $description = json_encode($request->description);
                  $year = json_encode($request->year);
              }else{
                $sechemId = null;  
                $description = null;  
                $year = null;  
              }
              if($request->scheme){
                  $schemetype = $request->benefit;
              }else{
                  $schemetype = 'no';
              }
            //   dd($sechemId);
              if($request->caste == 'other'){
            $caste = Caste::where('caste_name',$request->other_caste)->first();
            if($caste){
              if($caste->status == 2){
                  $caste->status = 3;
                  $caste->save();
              }
              $caste_id = $caste->id;
            }else{
            $newCaste = new caste;
            $newCaste->caste_name = $request->other_caste;
            $newCaste->status = 3;
            $newCaste->creator_id = Auth::user()->id;
            $newCaste->unique_id = uniqid();
            $newCaste->save();
            $caste_id = $newCaste->id;
        }
        } else{
            $caste_id = $request->caste;
        }
            //dd($request->all());
            $data = VoterlistUpdate::where('voter_id', decrypt($id))->where('mla_id',Auth::user()->id)->where('vidhansabha_id',Auth::user()->vidhansahba_id)->first();
            
           if($data != null){
            $data->age = $request->age;
            $data->update_by = Auth::user()->id;
            $data->profession = $request->profession;
            $data->profession_type = $request->profession_type;
            $data->caste_id = $caste_id;
            $data->favar = $request->favar;
            $data->pincode = $request->pincode;
            $data->dob = $request->dob;
            $data->party = $request->party;
            $data->house_no = $request->house_no;
            $data->gotra = $request->gotra;
            $data->mobile_no = $request->mobile;
            $data->religion = $request->religion;
            $data->scheme_id = $sechemId;
            $data->scheme_description = $description;
            $data->scheme_year = $year;
            $data->scheme_type = $schemetype;
            $data->save();
           }else{
               $newData = new VoterlistUpdate;
             $newData->mla_id = Auth::user()->id;
            $newData->create_by = Auth::user()->id;
            $newData->voter_id = decrypt($id);
            $newData->vidhansabha_id = Auth::user()->vidhansahba_id;
            $newData->age = $request->age;
            $newData->update_by = Auth::user()->id;
            $newData->profession = $request->profession;
            $newData->profession_type = $request->profession_type;
            $newData->caste_id = $caste_id;
            $newData->ward_no = $request->ward_no;
            $newData->favar = $request->favar;
            $newData->pincode = $request->pincode;
            $newData->dob = $request->dob;
            $newData->party = $request->party;
            $newData->house_no = $request->house_no;
            $newData->gotra = $request->gotra;
            $newData->mobile_no = $request->mobile;
            $newData->religion = $request->religion;
            $newData->scheme_id = $sechemId;
            $newData->scheme_description = $description;
            $newData->scheme_year = $year;
            $newData->scheme_type = $schemetype;
            $newData->save();
           }
        
        return back()->with('success', 'Voter list has been updated successfully!');
    }
    }

   /**
    * Remove the specified resource from storage.
    *
    * @param  \App\Models\TblUpload  $tblUpload
    * @return \Illuminate\Http\Response
    */
   public function destroy(TblUpload $tblUpload)
   {
       //
   }
}
