<?php

namespace App\Http\Controllers\superadmin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use Auth;
use Str;
use DB;
class MemberController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $user = User::where('status' ,'1')->whereHas('roles', function($q){
            $q->where('name', '!=', 'superadmin');
            })
            ->get();
        return view('superadmin.role.index',compact('user'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('superadmin.role.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        
        $this->validate($request, [
            'name' => 'required',
            'email' => 'required',
            'mobile_no' => 'required|unique:users',
            'password' => 'required',
            
           
            
        ]);

        $user = new User;
        $user->name=Str::upper($request->name);
        $user->email = $request->email;
        $user->mobile_no = $request->mobile_no;
        $user->status = 1;
        $user->password = bcrypt($request->password);
        $user->assignRole($request->role);
        $user->unique_id=uniqid();
        $user->save();
        session()->flash('success_msg', 'New Role has been created successfully');
        return redirect()->route('role.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $id=User::where('unique_id',$id)->value('id');
        $row=User::find($id);
        return view('superadmin.role.view',compact('row'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $id=User::where('unique_id',$id)->value('id');
        $row=User::find($id);
        return view('superadmin.role.edit',compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'name' => 'required',
            'email' => 'required',
        ]);
        $user=User::find($id);
        $user->name=Str::upper($request->name);
        $user->email = $request->email;
        $rolename=DB::table('roles')->where('name',$request->role)->value('id');
        $roleid=DB::table('model_has_roles')->where('model_id',$id)->update(['role_id'=>$rolename]);
        $user->save();

         session()->flash('success_msg', 'member has been updated successfully');
         return redirect()->route('role.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $user_id=User::where('unique_id',$id)->value('id');
        $user=User::find($user_id);
        $user->status="2";
        $user->save();
        session()->flash('success_msg', 'Member has been deleted successfully');
        return back();
    }
}
