<?php

namespace App\Http\Controllers\superadmin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Scheme;
class SchemesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if($request->paginate){
        $paginate = $request->paginate;
    }else{
        $paginate = 10;
    }
    if($request->sort_f){
        $sort_f  = $request->sort_f ;
    }else{
        $sort_f  = 'id';
    }
    if($request->sort_by){
        $sort_by   = $request->sort_by  ;
    }else{
        $sort_by  = 'DESC';
    }
    $search = $request->search;
        $party = Scheme::where('status',1)->orderBy($sort_f,$sort_by);
        if($search){
            $party = $party->where('scheme_name','like','%'.$search.'%');
        }
        $party = $party->paginate($paginate)->onEachSide(0);
        return view('superadmin.schemes.index', compact('party','paginate','search','sort_f','sort_by'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //dd('ldjgfkl');
        return view('superadmin.schemes.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // dd($request->all());
        $request->validate([
            'party' => 'required'
        ]);
        $info = new Scheme;
        $info->scheme_name = $request->scheme;
        $info->type = $request->party;
        $info->unique_id = uniqid();
        $info->save();
        return redirect()->route('saschemes.index')->with('success','Scheme has been created successfully!');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $row = Scheme::where('unique_id',$id)->first();
       return view('superadmin.schemes.edit', compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
       $request->validate([
        'scheme' => 'required|unique:schemes,scheme_name,'.$id
    ]);
    $info = Scheme::findorfail($id);
    $info->type = $request->party;
    $info->scheme_name = $request->scheme;
    $info->save();
    return redirect()->route('saschemes.index')->with('success','Scheme has been updated successfully!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $info = Scheme::where('unique_id',$id)->first();
        $info->status = 2;
        $info->save();
        return back()->with('success','Scheme has been deleted successfully!');
    }
}
