@extends('admin.layouts.app')
@section('title', 'Vidhansabha - Edit Voter')
@section('content')
<div class="page-wrapper">
    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">Edit Voter List</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.index')}}">Home</a></li>
                        <li class="breadcrumb-item"><a href="{{route('avoter.index')}}">Voter List</a></li>
                        <li class="breadcrumb-item">Edit Voter List</li>
                    </ol>
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox-title">
                    <h5><span> Edit Voter List</span></h5>
                    <div class="ibox-tools">
                        @if(session()->has('success'))
                        <span class="text-success samll">{{session()->get('success')}}</span>
                        @endif
                         <a href="#" onclick="history.back()" class="collapse-link">
                            Back
                        </a>
                        {{-- <a class="collapse-link">
                            <i class="fa fa-chevron-up"></i>
                        </a>
                        <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                            <i class="fa fa-wrench"></i>
                        </a>
                        <a class="close-link">
                            <i class="fa fa-times"></i>
                        </a> --}}
                    </div>
                </div>
                <div class="ibox-content">
                    {!! Form::model($row, ['method' => 'patch', 'files' => true, 'route' => ['avoter.update', encrypt($eid)]]) !!}
                    @csrf
                    <div class="row">
                        <div class="form-group col">
                            <label class="control-label">Name</label>
                                <input type="text" readonly class="form-control"
                                    autocomplete="off" placeholder="Name" value="{{$row->fm_name_en }} /   {{$row->fm_name_v1}}" >
                                    <div class="text-danger">{{ $errors->first('name')}}</div>
                            </div>
                        <div class="form-group col">
                            <label class="control-label">@if($row->rln_type == 'F') Father Name @elseif($row->rln_type == 'H') Husband Name @endif</label>
                                <input type="text" readonly class="form-control"
                                    autocomplete="off" placeholder="@if($row->rln_type == 'F') Father Name @elseif($row->rln_type == 'H') Husband Name @endif" value="{{ $row->rln_fm_nm_en}} / {{ $row->rln_fm_nm_v1 }}" >
                                    <div class="text-danger">{{ $errors->first('name')}}</div>
                            </div>
                        </div>
                           <div class="row">
                        <div class="form-group col">
                            <label class="control-label">Serial No</label>
                                <input type="text" readonly class="form-control"
                                    autocomplete="off" placeholder="Name" value="{{$row->slnoinpart }}" >
                            </div>
                        <div class="form-group col">
                            <label class="control-label">Booth No</label>
                                <input type="text" readonly class="form-control"
                                    autocomplete="off" value="{{ $row->part_no}}" >
                            </div>
                        </div>
                    <div class="row">
                        <div class="form-group col">
                            <label class="control-label">Mohala No</label>
                                <input type="text" readonly class="form-control"
                                    autocomplete="off" placeholder="Name" value="{{$row->section_no }}" >
                            </div>
                        <div class="form-group col">
                            <label class="control-label">house No</label>
                                <input type="text" required="" name="house_no" class="form-control"
                                    autocomplete="off" value="{{ $row->c_house_no}}" >
                            </div>
                        </div>
                    <div class="row">
                        <div class="form-group col">
                            <label class="control-label">Id No.</label>
                                <input type="text" readonly class="form-control"
                                    autocomplete="off" placeholder="Id No."  value="{{$row->epic_no }}" >
                                    <div class="text-danger">{{ $errors->first('name')}}</div>
                            </div>
                        <div class="form-group col">
                            <label class="control-label">Gender</label>
                                <input type="text" readonly class="form-control"
                                    autocomplete="off" placeholder="Gender" value="{{ $row->gender}}" >
                                    <div class="text-danger">{{ $errors->first('name')}}</div>
                            </div>
                        </div>
                    <div class="row">
                        <div class="form-group col">
                            <label class="control-label">Age</label>
                                <input type="text" name="age" id="age" class="form-control"
                                    autocomplete="off" placeholder="Age" maxlength="3" value="{{$row->age }}" >
                                    <div class="text-danger">{{ $errors->first('name')}}</div>
                            </div>
                        <div class="form-group col">
                            <label class="control-label">DOB</label>
                                <input type="date" name="dob" id="dob" max="{{date('Y-m-d')}}"  class="form-control"
                                    autocomplete="off" placeholder="date" value="@if($row->dob){{ date('Y-m-d',strtotime($row->dob))}}@endif" >
                                    <div class="text-danger">{{ $errors->first('name')}}</div>
                            </div>
                        </div>
                    <div class="row">
                        <div class="form-group col">
                            <label class="control-label">Mobile No</label>
                                <input type="text" name="mobile" class="form-control number"
                                    autocomplete="off" placeholder="Mobile No" onkeypress="return isNumber(event)" pattern="[6-9]{1}[0-9]{9}" maxlength="10" maxlength="10" value="{{$row->mobile_no }}" >
                                    <div class="text-danger">{{ $errors->first('name')}}</div>
                            </div>
                            @php
                            $vidhansabha = App\Models\VidhanSabha::where('vidhansabha_id',$row->ac_no)->value('vidhansabha_title');
                            @endphp
                        <div class="form-group col">
                            <label class="control-label">Vidhansabha</label>
                                <input type="text" readonly class="form-control"
                                    autocomplete="off" placeholder="Vidhansabha" value="{{$vidhansabha}}">
                                    {{-- <div class="text-danger">{{ $errors->first('name')}}</div> --}}
                            </div>
                        </div>
                      <div class="row">
                        <div class="form-group col">
                            <label class="control-label">Pincode</label>
                                <input type="text" name="pincode" minlength="6" value="{{$row->pincode}}" maxlength="6" class="form-control number">
                                    <div class="text-danger">{{ $errors->first('pincode')}}</div>
                            </div>
                        <div class="form-group col">
                            <label class="control-label">Favar</label>
                            <select name="favar" id="favar" class="form-control selectpicker">
                                <option value="">Select Favar</option>
                                <option @if($row->favar == '100%') selected @endif value="100%">100%</option>
                                <option @if($row->favar == '75%') selected @endif value="75%">75%</option>
                                <option @if($row->favar == '50%') selected @endif value="50%">50%</option>
                                <option @if($row->favar == '25%') selected @endif value="25%">25%</option>
                                <option @if($row->favar == '0%') selected @endif value="0%">0%</option>
                                <option @if($row->favar == '-25%') selected @endif value="-25%">-25%</option>
                                <option @if($row->favar == '-50%') selected @endif value="-50%">-50%</option>
                                <option @if($row->favar == '-75%') selected @endif value="-75%">-75%</option>
                                <option @if($row->favar == '-100%') selected @endif value="-100%">-100%</option>
                            </select>
                                    <div class="text-danger">{{ $errors->first('favar')}}</div>
                            </div>
                            <div class="form-group col">
                            <label class="control-label">Party</label>
                               <select name="party" id="party" class="form-control selectpicker">
                                        <option value="">Select Party</option>
                                        @foreach($party as $r)
                                        <option @if($row->party == $r->party_name) selected @endif value="{{$r->party_name}}">{{$r->party_name}}</option>
                                        @endforeach
                                    </select>
                        </div>
                        </div>
                        <div class="row">
                            <div class="form-group col">
                                <label class="control-label">Profession Type</label>
                                     <select name="profession_type" id="profession_type" class="form-control selectpicker">
                                        <option value="">Select Type</option>
                                        <option @if($row->profession_type == 'government') selected @endif value="government">Government</option>
                                        <option @if($row->profession_type == 'private') selected @endif value="private">Private</option>
                                        <option @if($row->profession_type == 'business') selected @endif value="business">Business</option>
                                        <option @if($row->profession_type == 'defence') selected @endif value="defence">Defence</option>
                                        <option @if($row->profession_type == 'politician') selected @endif value="politician">Politician</option>
                                        <option @if($row->profession_type == 'imported_person') selected @endif value="imported_person">Imported Person</option>
                                        <option @if($row->profession_type == 'student') selected @endif value="student">Student</option>
                                        <option @if($row->profession_type == 'other') selected @endif value="other">Other</option>
                                    </select> 
                                        <div class="text-danger">{{ $errors->first('profession_type')}}</div>
                                </div>
                             <div class="form-group col">
                                <label class="control-label">Profession Details</label>
                                    {{-- <select name="profession" id="profession" class="form-control selectpicker">
                                        <option value="">Select Profession</option>
                                        @foreach($profession as $r)
                                        <option  @if($row->profession_id == $r->id) selected @endif value="{{$r->id}}">{{$r->profession}}</option>
                                        @endforeach
                                    </select> --}}
                                    <input list="browsers" name="profession" id="profession" value="{{$row->profession}}" class="form-control">
                                      <datalist id="browsers">
                                        @foreach($profession as $r)
                                        <option value="{{$r->profession}}">
                                        @endforeach
                                       </datalist>
                                        <div class="text-danger">{{ $errors->first('profession')}}</div>
                                </div>
                        </div>
                    <div class="row">
                        <div class="form-group col">
                            <label class="control-label">Religion</label>
                                <select name="religion" id="religion" class="form-control selectpicker">
                                    <option value="">Select Religion</option>
                                    @foreach($religion as $r)
                                    <option @if($row->religion == $r->religion) selected @endif value="{{$r->religion}}">{{$r->religion}}</option>
                                    @endforeach
                                </select>
                                    <div class="text-danger">{{ $errors->first('religion')}}</div>
                            </div>
                        <div class="form-group col">
                            <label class="control-label">Caste</label>
                                <select name="caste" id="caste" class="form-control selectpicker">
                                    <option value="">Select Caste</option>
                                    @foreach($caste as $r)
                                    <option @if($row->caste_id == $r->id) selected @endif value="{{$r->id}}">{{$r->caste_name}}</option>
                                    @endforeach
                                </select>
                                    <div class="text-danger">{{ $errors->first('caste')}}</div>
                            </div>
                            <div class="form-group col">
                            <label class="control-label">Gotra</label>
                                <input type="text" name="gotra" value="{{$row->gotra}}" class="form-control">
                                    <div class="text-danger">{{ $errors->first('gotra')}}</div>
                            </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-sm-3">
                            <label class="control-label">Scheme Benefit</label>
                                <select name="benefit" id="benefit" onchange="changeFunc();" class="form-control selectpicker">
                                    <option @if($row->scheme_type == 'no') selected @endif value="no">No</option>
                                    <option @if($row->scheme_type == 'yes') selected @endif value="yes">Yes</option>
                                </select>
                                
                        </div>
                    </div>    
                    <div class="row" id="getbenefit" @if($row->scheme_type != 'yes') style="display: none;" @endif>
                    @if($row->scheme_type == 'yes')
						  <div class="row form-group col-sm-12" id="addrow1">
						      @php
						      $sechmeId = json_decode($row->scheme_id);
						      $schemedescription = json_decode($row->scheme_description);
						      $schemeyear = json_decode($row->scheme_year);
						      @endphp
						      @foreach($sechmeId as $key => $rid)
						       <div class="form-group col-sm-3" >
                                                    <label class="control-label">Scheme</label>
                                                    <select name="scheme[]" id="party_{{$rid}}" class="form-control scheme_edit">
                                                                <option value="">Select Party</option>
                                                                @foreach($scheme as $r)
                                                                <option @if($rid == $r->id) selected @endif value="{{$r->id}}">{{$r->scheme_name}}</option>
                                                                @endforeach
                                                    </select>
                                                        
                                                </div>
                                                <div class="form-group col-sm-3">
                                                    <label class="control-label">Description</label>
                                                    <input type="text" class="form-control scheme_edit" id="description_{{$rid}}" value="{{$schemedescription[$key]}}" name="description[]" placeholder="Fill Details">
                                                        
                                                </div>
                                                <div class="form-group col-sm-3">
                                                    <label class="control-label">Benefit Year</label>
                                                    <input type="text" class="form-control scheme_edit" id="year_{{$rid}}"  value="{{$schemeyear[$key]}}" name="year[]" placeholder="Year">
                                                        
                                                </div>
                                                <div class="form-group col-sm-3">
                                                   <button type="button" onclick="removerow({{$rid}});" id="scheme_remove_{{$rid}}" class="btn btn-danger btn-sm" style="margin: 3% 0% 0% 5% !important;"><i class="fa fa-minus"></i> Remove</button>
                                                   @if($key == 0)
                                                          <button type="button" id="addrow"
                                                                    class="btn btn-info btn-sm" style="margin: 3% 0% 0% 5% !important;"><i class="fa fa-plus"></i>
                                                                    Add</button>
                                                                    @endif
                                                </div>
                                                @endforeach
                                                   
             
                                        </div> 
                                        @else
						   <div class="row form-group col-sm-12" id="addrow1">
						       <div class="form-group col-sm-3" >
                                                    <label class="control-label">Scheme</label>
                                                    <select name="scheme[]" id="party" class="form-control scheme">
                                                                <option value="">Select Party</option>
                                                                @foreach($scheme as $r)
                                                                <option value="{{$r->id}}">{{$r->scheme_name}}</option>
                                                                @endforeach
                                                    </select>
                                                        
                                                </div>
                                                <div class="form-group col-sm-3">
                                                    <label class="control-label">Description</label>
                                                    <input type="text" class="form-control scheme" id="method" name="description[]" placeholder="Fill Details">
                                                        
                                                </div>
                                                <div class="form-group col-sm-3">
                                                    <label class="control-label">Benefit Year</label>
                                                    <input type="text" class="form-control scheme" id="method" name="year[]" placeholder="Year">
                                                        
                                                </div>
                                                <div class="form-group col-sm-3">
                                                    <label class="control-label">&nbsp;</label>
                                                    <button type="button" id="addrow"
                                                                    class="btn btn-info btn-sm" style="margin: 3% 0% 0% 5% !important;"><i class="fa fa-plus"></i>
                                                                    Add</button>
                                                        
                                                </div>
                                                
             
                                        </div> 
                                        @endif
                    </div>
                        <div class="form-group d-flex">
                            <div class="col-lg-12">
                                <input type="submit" class="btn btn-primary pull-right bt-block" name="add_meeting"
                                    value="Update">
                            </div>
                        </div>
                    </form>
                </div>
            </div>

        </div>
    </div>



</div>  

<script type="text/javascript">
   function changeFunc() {
      var selectBox = document.getElementById("benefit");
      var selectBox1 = document.getElementById("benefitrow");
      var selectedValue = selectBox.options[selectBox.selectedIndex].value;
      if (selectedValue=="yes"){
         $('#getbenefit').show();
         $('#getbenefitrow').show();
         $(".scheme").attr("required", true);
      }else {
      $('#getbenefit').hide();
      $('#getbenefitrow').hide();
         $(".scheme").attr("required", false);
   }
   }
   
 </script>  
<script type="text/javascript">
    $(document).ready(function() {

        let i = 11;
        $('#addrow').on("click", function() {
            var newRow = $("<div class='row form-group col-sm-12'>");
            var cols = "";
            cols += '<div class="form-group col-sm-3"><select name="scheme[]" id="party" class="form-control selectpicker scheme" required><option value="">Select Party</option>@foreach($scheme as $r)<option value="{{$r->id}}">{{$r->scheme_name}}</option>@endforeach</select></div>';
            cols += '<div class="form-group col-sm-3"><input type="text" class="form-control scheme" name="description[]" required="" placeholder="Fill Details"></div>';
            cols += '<div class="form-group col-sm-3"><input type="text" class="form-control scheme" name="year[]" required="" placeholder="Year"></div>';
            cols +=
                '<div class="form-group col-sm-3"><button type="button" id="delbtn" class="btn btn-danger btn-sm" style="margin: 3% 0% 0% 5% !important;"><i class="fa fa-minus"></i> Remove</button></div>';
            i++;
            newRow.append(cols);
            $("#addrow1").append(newRow);
            $('.number').keyup(function(e) {
                if (/\D/g.test(this.value)) {
                    this.value = this.value.replace(/\D/g, '');
                }
            });

            $("#addrow1").on("click", "#delbtn", function() {
                $(this).closest('.row').remove();
                i--;
            });
           
        });
    });
    
    
 
        function removerow(id) {
   $('#year_'+id).prop("disabled", true);
   $('#party_'+id).prop("disabled", true);
   $('#description_'+id).prop("disabled", true);
   $('#scheme_remove_'+id).html('<i class="fa fa-refresh" aria-hidden="true"></i> Restore');
   $('#scheme_remove_'+id).removeClass('btn-danger');
   $('#scheme_remove_'+id).addClass('btn-primary');
   $('#scheme_remove_'+id).attr("onclick","restorerow("+id+")");
    }

    function restorerow(id) {
   $('#year_'+id).prop("disabled", false);
   $('#party_'+id).prop("disabled", false);
   $('#description_'+id).prop("disabled", false);
   $('#scheme_remove_'+id).html('<i class="fa fa-minus"></i> Remove');
   $('#scheme_remove_'+id).addClass('btn-danger');
   $('#scheme_remove_'+id).removeClass('btn-primary');
   $('#scheme_remove_'+id).attr("onclick","removerow("+id+")");
    }
    
</script>
 <script>
        $('.number').keyup(function(e) {
            if (/\D/g.test(this.value)) {
                this.value = this.value.replace(/\D/g, '');
            }
        });
    </script>
       <script>
    $("#dob").change(function(){

var today = new Date();
var birthDate = new Date($('#dob').val());
var age = today.getFullYear() - birthDate.getFullYear();
var m = today.getMonth() - birthDate.getMonth();
if (m < 0 || (m === 0 && today.getDate() < birthDate.getDate())) {
    age--;
}
 $('#age').val(age);
});
  </script>
        @endsection