@extends('booth.layouts.app')
@section('title', 'Booth - Edit Booth Address')
@section('content')
    <div class="page-wrapper">
        <!-- ============================================================== -->
        <!-- Container fluid  -->
        <!-- ============================================================== -->
        <div class="container-fluid">
            <!-- ============================================================== -->
            <!-- Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <div class="row page-titles">
                <div class="col-md-5 align-self-center">
                    <h4 class="text-themecolor">Edit Booth Address</h4>
                </div>
                <div class="col-md-7 align-self-center text-right">
                    <div class="d-flex justify-content-end align-items-center">
                        <ol class="breadcrumb">
                           <li class="breadcrumb-item"><a href="{{route('booth.index')}}">Home</a></li>
                        <li class="breadcrumb-item"><a href="{{route('boothaddress.index')}}">Booth Address List</a></li>
                            <li class="breadcrumb-item">Edit Booth Address</li>
                        </ol>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox-title">
                        <h5><span> Add Booth Address</span></h5>
                    </div>
                    <div class="ibox-content">
                        {!! Form::model($row, ['method' => 'patch', 'files' => true, 'route' => ['boothaddress.update', $row->id]]) !!}
                        @csrf
                      
                        <div class="form-group d-flex">
                            <label class="col-lg-3 control-label">Serial No<span class="text-danger">*</span></label>
                            <div class="col-lg-5">
                                <input type="text" name="slno" value="{{ old('slno',$row->slno) }}" class="form-control number" autocomplete="off"
                                    placeholder="Quantity">
                                <div class="text-danger">{{ $errors->first('slno') }}</div>
                            </div>
                        </div>
                       
                        <div class="form-group d-flex">
                            <label class="col-lg-3 control-label">Address<span class="text-danger">*</span></label>
                            <div class="col-lg-5">
                                <input type="test" name="address" class="form-control" autocomplete="off"
                                    placeholder="Booth Address" value="{{ old('address',$row->address) }}">
                                <div class="text-danger">{{ $errors->first('address') }}</div>
                            </div>
                        </div>
                        <div class="form-group d-flex">
                            <div class="col-lg-3">
                            </div>
                            <div class="col-lg-5">
                                <input type="submit" class="btn btn-primary pull-right bt-block" name="add_meeting"
                                    value="Save">
                            </div>
                        </div>
                        </form>
                    </div>
                </div>

            </div>
        </div>



    </div>
    
    <script> 
    var today = new Date().toISOString().split('T')[0];
     document.getElementsByName("date")[0].setAttribute('min', today);
</script>
@endsection
