@extends('mla.layouts.app')
@section('title', 'Vidhansabha - Edit BOOTH')
@section('content')
<style>
           .bootstrap-select .dropdown-toggle{
        width: 100% !important;
               }
</style>
<div class="page-wrapper">
    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">Edit Booth</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('mla.index')}}">Home</a></li>
                        <li class="breadcrumb-item">Edit Booth</li>
                    </ol>
                    <!-- <button type="button" class="btn btn-info d-none d-lg-block m-l-15"><i class="fa fa-plus-circle"></i> Create New</button> -->
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row">
            <div class="col-lg-12">
                <!-- <div class="tabs-container">-->
                <!-- <ul class="nav nav-tabs">
                        <li class="active"><a data-toggle="tab" href="#tab-1"><i class="fa fa-hand-o-down"></i>
                                Caste Report</a></li>
                    </ul>  -->
                <div class="ibox-title">
                    <h5><span> Add Booth</span></h5>
                    <!-- <div class="ibox-tools">
                            <a class="collapse-link">
                                <i class="fa fa-chevron-up"></i>
                            </a>
                            <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                                <i class="fa fa-wrench"></i>
                            </a>
                            <a class="close-link">
                                <i class="fa fa-times"></i>
                            </a>
                        </div> -->
                </div>
                <div class="ibox-content">
                    {!! Form::model($row, ['method' => 'patch', 'files' => true, 'route' => ['mbooth.update', $row->id]]) !!}
                    @csrf
                    <div class="form-group d-flex">
                        <label class="col-lg-3 control-label">Booth<span
                                class="text-danger">*</span></label>
                        <div class="col-lg-5">
                               <select name="booth" class="form-control selectpicker" data-live-search="true">
                                <option value="">Select Booth</option>
                                @foreach($booth as $r)
                                <option @if($r->part_no == old('booth',$row->booth)) selected @endif value="{{$r->part_no}}">{{$r->part_no}}</option>
                                @endforeach
                               </select>
                              <div class="text-danger">{{ $errors->first('booth')}}</div>
                        </div>
                    </div>
                    @php
                    if($row->vidhansabhaids != null){
                    $vidahansabha = json_decode($row->vidhansabhaids);
                    }else{
                    $vidahansabha = [];
                    }
                    @endphp
                     <div class="form-group d-flex">
                                <label class="col-lg-3 control-label">VidhanSabha</label>
                                <div class="col-lg-5">
                                       <select name="vidahsabha[]" class="form-control selectpicker" data-live-search="true" multiple>
                                       @foreach(App\Models\VidhanSabha::where('status', 1)->get() as $r)
                                        <option @if(in_array($r->vidhansabha_id,old('vidhansahba',$vidahansabha))) selected @endif value="{{$r->vidhansabha_id}}">{{$r->vidhansabha_title}}</option>
                                        @endforeach
                                       </select>
                                      <div class="text-danger">{{ $errors->first('vidahsabha')}}</div>
                                </div>
                            </div>
                        <div class="form-group d-flex">
                            <label class="col-lg-3 control-label">Name<span
                                    class="text-danger">*</span></label>
                            <div class="col-lg-5">
                                <input type="text" name="name" class="form-control"
                                    autocomplete="off" placeholder="Name" value="{{ old('name', $row->name) }}" maxlength="50" required="">
                                    <div class="text-danger">{{ $errors->first('name')}}</div>
                            </div>
                        </div>
                        <div class="form-group d-flex">
                            <label class="col-lg-3 control-label">Email<span
                                    class="text-danger">*</span></label>
                            <div class="col-lg-5">
                                <input type="email" name="email" class="form-control"
                                    autocomplete="off" value="{{ old('email', $row->email) }}" readonly placeholder="email" required="">
                                    <div class="text-danger">{{ $errors->first('email')}}</div>
                            </div>
                        </div>
                        <div class="form-group d-flex">
                            <label class="col-lg-3 control-label">Mobile No<span
                                    class="text-danger">*</span></label>
                            <div class="col-lg-5">
                                <input type="test" name="mobile_no" class="form-control number"
                                    autocomplete="off" value="{{ old('mobile_no', $row->mobile_no) }}" onkeypress="return isNumber(event)" pattern="[6-9]{1}[0-9]{9}" maxlength="10" maxlength="10" placeholder="Mobile No" required="">
                                    <div class="text-danger">{{ $errors->first('mobile_no')}}</div>
                            </div>
                        </div>
               
                        <div class="form-group d-flex">
                            <div class="col-lg-3">
                            </div>
                            <div class="col-lg-5">
                                <input type="submit" class="btn btn-primary pull-right bt-block" name="add_meeting"
                                value="Save">
                            </div>
                        </div>
                    </form>
                </div>
            </div>

        </div>
    </div>



</div>   
 <script>
        $('.number').keyup(function(e) {
            if (/\D/g.test(this.value)) {
                this.value = this.value.replace(/\D/g, '');
            }
        });
    </script>
        @endsection