@extends('mla.layouts.app')
@section('title', 'Vidhansabha - Edit Meeting')
@section('content')
<div class="page-wrapper">
    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">Edit Meeting</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('mla.index')}}">Home</a></li>
                        <li class="breadcrumb-item">Edit Meeting</li>
                    </ol>
                    <!-- <button type="button" class="btn btn-info d-none d-lg-block m-l-15"><i class="fa fa-plus-circle"></i> Create New</button> -->
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row">
            <div class="col-lg-12">
                <!-- <div class="tabs-container">-->
                <!-- <ul class="nav nav-tabs">
                        <li class="active"><a data-toggle="tab" href="#tab-1"><i class="fa fa-hand-o-down"></i>
                                Caste Report</a></li>
                    </ul>  -->
                <div class="ibox-title">
                    <h5><span> Edit Meeting</span></h5>
                    <!-- <div class="ibox-tools">
                            <a class="collapse-link">
                                <i class="fa fa-chevron-up"></i>
                            </a>
                            <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                                <i class="fa fa-wrench"></i>
                            </a>
                            <a class="close-link">
                                <i class="fa fa-times"></i>
                            </a>
                        </div> -->
                </div>
                <div class="ibox-content">
                    {!! Form::model($row, ['method' => 'patch', 'files' => true, 'route' => ['mbooth.update', $row->id]]) !!}
                    @csrf

                    <div class="form-group d-flex">
                        <label class="col-lg-3 control-label">Booth<span
                                class="text-danger">*</span></label>
                        <div class="col-lg-5">
                               <select name="booth[]" multiple class="form-control selectpicker" data-live-search="true">
                                <option value="">Select Booth</option>
                                @foreach($booth as $r)
                                <option @if(in_array($r->part_no, old('booth',explode(",",$row->booth)))) selected @endif value="{{$r->part_no}}">{{$r->part_no}}</option>
                                @endforeach
                               </select>
                              <div class="text-danger">{{ $errors->first('booth')}}</div>
                        </div>
                    </div>
                    <div class="form-group d-flex">
                        <label class="col-lg-3 control-label">Event Title<span
                                class="text-danger">*</span></label>
                        <div class="col-lg-5">
                            <input type="text" name="event_name" class="form-control string"
                                autocomplete="off" placeholder="Event Name" maxlength="100" value="{{ old('event_name',$row->event_name) }}" required="">
                                <div class="text-danger">{{ $errors->first('event_name')}}</div>
                        </div>
                    </div>
                    <div class="form-group d-flex">
                        <label class="col-lg-3 control-label">Date Of Event<span
                                class="text-danger">*</span></label>
                        <div class="col-lg-5">
                            <input type="date" name="date_of_event" class="form-control"
                                autocomplete="off" placeholder="date_of_event" min="{{date('Y-m-d')}}" value="{{ old('date_of_event',$row->date_of_event) }}" required="">
                                <div class="text-danger">{{ $errors->first('date_of_event')}}</div>
                        </div>
                    </div>
                    <div class="form-group d-flex">
                        <label class="col-lg-3 control-label">Event End Date<span
                                class="text-danger">*</span></label>
                        <div class="col-lg-5">
                            <input type="date" name="limit" class="form-control"
                                autocomplete="off" placeholder="limit" min="{{date('Y-m-d')}}" value="{{ old('limit',$row->limit) }}" required="">
                                <div class="text-danger">{{ $errors->first('limit')}}</div>
                        </div>
                    </div>
                    <div class="form-group d-flex">
                        <label class="col-lg-3 control-label">Address<span
                                class="text-danger">*</span></label>
                        <div class="col-lg-5">
                            <input type="test" name="address" class="form-control number"
                                autocomplete="off" placeholder="Address" value="{{ old('address',$row->address) }}" required="">
                                <div class="text-danger">{{ $errors->first('address')}}</div>
                        </div>
                    </div>
                    <div class="form-group d-flex">
                        <label class="col-lg-3 control-label">Description<span
                                class="text-danger">*</span></label>
                        <div class="col-lg-5">
                            <textarea class="form-control ckeditor"   name="description" required="">{{ old('description',$row->description) }}</textarea>
                            <div class="text-danger">{{ $errors->first('description')}}</div>
                        </div>
                    </div>
               
                        <div class="form-group d-flex">
                            <div class="col-lg-3">
                            </div>
                            <div class="col-lg-5">
                                <input type="submit" class="btn btn-primary pull-right bt-block" name="add_meeting"
                                value="Save">
                            </div>
                        </div>
                    </form>
                </div>
            </div>

        </div>
    </div>



</div>    
        @endsection