<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/cc', function () {
    Artisan::call('cache:clear');
    echo '<script>alert("cache clear Success")</script>';
});
Route::get('/ccc', function () {
    Artisan::call('config:cache');
    echo '<script>alert("config cache Success")</script>';
});
Route::get('/vc', function () {
    Artisan::call('view:clear');
    echo '<script>alert("view clear Success")</script>';
});
Route::get('/cr', function () {
    Artisan::call('route:cache');
    echo '<script>alert("route clear Success")</script>';
});
Route::get('/coc', function () {
    Artisan::call('config:clear');
    echo '<script>alert("config clear Success")</script>';
});
Route::get('/storage123', function () {
    Artisan::call('storage:link');
    echo '<script>alert("linked")</script>';
});


Auth::routes();
// Route::get('/home', [App\Http\Controllers\HomeController::class, 'index']);


Route::group(['middleware'=>['role:superadmin','auth'],'namespace'=>'App\Http\Controllers\superadmin','prefix'=>'superadmin'],

function(){
    Route::get('home','HomeController@index')->name('superadmin.index');
    Route::Resource('saadmin','AdminController');
    Route::Resource('saprofession','ProfessionController');
    Route::Resource('savoter','TblUploadController');
    Route::Resource('samla','MlaController');
    Route::get('user_login','HomeController@user_login');
    Route::get('superadminprofile','HomeController@superadminprofile');
    Route::Post('superadminupdateprofile','HomeController@superadminupdateprofile');
    Route::get('superadminpassword','HomeController@superadminpassword');
    Route::Post('superadminupdatepassword','HomeController@superadminupdatepassword');
    Route::Resource('sacaste','CasteController');
    Route::get('caste/verifie/{id}','CasteController@verifie')->name('sacaste.verifie');
    Route::Resource('saparty','PartyController');
    Route::Resource('saschemes','SchemesController');
    Route::get('fmaily_wise','HomeController@fmaily_wise');
    Route::get('age_wise','HomeController@age_wise');
    Route::get('caste_wise','HomeController@caste_wise');

       // Delete
     Route::get('adminDelete/{id}', 'AdminController@destroy');
     Route::get('partyDelete/{id}', 'PartyController@destroy');
     Route::get('schemeDelete/{id}', 'SchemesController@destroy');
     Route::get('mlaDelete/{id}', 'MlaController@destroy');
     Route::get('destroyDelete/{id}', 'ProfessionController@destroy');
     Route::get('casteDelete/{id}','CasteController@destroy');


});
Route::group(['middleware'=>['role:admin','auth'],'namespace'=>'App\Http\Controllers\admin','prefix'=>'admin'],

function(){
    Route::get('home','HomeController@index')->name('admin.index');
    Route::Resource('amla','MlaController');
    Route::Resource('avoter','TblUploadController');
    Route::get('user_login','HomeController@user_login');
    Route::get('adminprofile','HomeController@adminprofile');
    Route::Post('adminupdateprofile','HomeController@adminupdateprofile');
    Route::get('adminpassword','HomeController@adminpassword');
    Route::get('fmaily_wise','HomeController@fmaily_wise');
    Route::Post('adminupdatepassword','HomeController@adminupdatepassword');
    Route::Resource('aprofession','ProfessionController');
    Route::Resource('acaste','CasteController');
    Route::get('caste/verifie/{id}','CasteController@verifie')->name('acaste.verifie');
    Route::get('age_wise','HomeController@age_wise');
    Route::Resource('aparty','PartyController');
    Route::get('caste_wise','HomeController@caste_wise');

       // Delete
     Route::get('mlaDelete/{id}', 'MlaController@destroy');
     Route::get('destroyDelete/{id}', 'ProfessionController@destroy');
     Route::get('casteDelete/{id}','CasteController@destroy');
     Route::get('partyDelete/{id}', 'PartyController@destroy');

});
Route::group(['middleware'=>['role:mla','auth'],'namespace'=>'App\Http\Controllers\mla','prefix'=>'mla'],

function(){
    Route::get('home','HomeController@index')->name('mla.index');
    Route::Resource('mbooth','BoothController');
    Route::Resource('mrequirement','RequirementController');
    Route::Resource('mcategory','CategoryController');
    Route::get('mlaprofile','HomeController@mlaprofile');
    Route::Post('mlaupdateprofile','HomeController@mlaupdateprofile');
    Route::get('mlapassword','HomeController@mlapassword');
    Route::Post('mlaupdatepassword','HomeController@mlaupdatepassword');
    Route::Resource('mevent','EventController');
    Route::Resource('mcaste','CasteController');
    Route::Resource('mvoter','TblUploadController');
    Route::get('user_login','HomeController@user_login');
    Route::get('fmaily_wise','HomeController@fmaily_wise');
    Route::get('age_wise','HomeController@age_wise');
    Route::get('caste_wise','HomeController@caste_wise');
    
    

    Route::get('requirementDelete/{id}','RequirementController@destroy');
    Route::get('boothDelete/{id}', 'BoothController@destroy');
    Route::get('categoryDelete/{id}','CategoryController@destroy');
    Route::get('eventDelete/{id}','EventController@destroy');
    Route::get('casteDelete/{id}','CasteController@destroy');
});




Route::group(['middleware'=>['role:booth','auth'],'namespace'=>'App\Http\Controllers\booth','prefix'=>'booth'],

function(){
    Route::get('home','HomeController@index')->name('booth.index');
    Route::get('profile','HomeController@profile');
    Route::Post('updateprofile','HomeController@updateprofile');
    Route::get('password','HomeController@password');
    Route::Post('updatepassword','HomeController@updatepassword');
    Route::get('fmaily_wise','HomeController@fmaily_wise');
    Route::Resource('requirement','RequirementController');
    Route::Resource('event','EventController');
    Route::Resource('voter','TblUploadController');
    Route::get('caste_wise','HomeController@caste_wise');
    // Route::get('export','HomeController@export');
    // Route::get('exportVoter','HomeController@exportVoter');
    Route::Resource('boothaddress','BoothaddressController');
    Route::get('boothaddressDelete/{id}','BoothaddressController@destroy');
    
      // Delete
    Route::get('requirementDelete/{id}','RequirementController@destroy');
});
